<template>
    <hc-app-config>
        <router-view />
    </hc-app-config>
</template>

<script setup>
import { nextTick } from 'vue'
import { detectionBrowser, getAppVersion } from 'hc-vue3-ui'

nextTick(() => {
    detectionBrowser()
    //生产环境下，检测更新
    if (import.meta.env.PROD) {
        getAppVersion()
    }
})
</script>
